Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelStateResponseFields (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelStateResponseFields

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ChannelStateResponseFields{
      channel: ExStreamClient.Model.ChannelResponse.t() | nil,
      draft: ExStreamClient.Model.DraftResponse.t() | nil,
      hidden: boolean() | nil,
      hide_messages_before: float() | nil,
      members: [ExStreamClient.Model.ChannelMember.t()],
      membership: ExStreamClient.Model.ChannelMember.t() | nil,
      messages: [ExStreamClient.Model.MessageResponse.t()],
      pending_messages: [ExStreamClient.Model.PendingMessageResponse.t()] | nil,
      pinned_messages: [ExStreamClient.Model.MessageResponse.t()],
      push_preferences: ExStreamClient.Model.ChannelPushPreferences.t() | nil,
      read: [ExStreamClient.Model.ReadStateResponse.t()] | nil,
      threads: [ExStreamClient.Model.ThreadStateResponse.t()],
      watcher_count: integer() | nil,
      watchers: [ExStreamClient.Model.UserResponse.t()] | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()